#!/bin/bash
#
#------------------------------------------------------------------------
#
#   IBM Software
#   Licensed Material - Property of IBM
#   (C) Copyright International Business Machines Corp. 2016, 2017
#   All Rights Reserved.
#
#   U.S. Government Users Restricted Rights - Use, duplication or
#   disclosure restricted by GSA ADP Schedule Contract with
#   IBM Corp.
#
#------------------------------------------------------------------------
#   fetch_skiboot.sh
#------------------------------------------------------------------------

SKIBOOT_LOC=ftp://ftp.unicamp.br/pub/linuxpatch/systemsim
SKIBOOT_FILE=skiboot.lid

check_deps() {
  for DEP in wget
  do
    DEP_PATH=`which $DEP 2>/dev/null`
    if [ "$DEP_PATH" == "" ]
    then
      echo "Error: $DEP command not found"
      echo "  Please install $DEP and try again"
      exit 2
    fi
  done
}

check_deps

echo "Fetching skiboot lid..."
wget ${SKIBOOT_LOC}/${SKIBOOT_FILE}

echo "Skiboot lid downloaded: $SKIBOOT_FILE"
